북마크 폴더 조회하기
curl --request GET \
--url https://api.x.com/2/users/{id}/bookmarks/folders \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/users/{id}/bookmarks/folders"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/users/{id}/bookmarks/folders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "1146654567674912769",
"name": "<string>"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"meta": {
"next_token": "<string>"
}
}{
"code": 123,
"message": "<string>"
}북마크 폴더
북마크 폴더 조회하기
인증된 사용자가 생성한 북마크 폴더 목록을 반환합니다.
GET
/
2
/
users
/
{id}
/
bookmarks
/
folders
북마크 폴더 조회하기
인증
The access token received from the authorization server in the OAuth 2.0 flow.
경로 매개변수
결과를 반환할 때 기준이 되는 인증된 소스 사용자의 id입니다. 이 사용자에 대한 고유 식별자입니다. 인증된 사용자와 동일한 값이어야 합니다.
예시:
"2244994945"
쿼리 매개변수
최대로 반환할 결과 수입니다.
필수 범위:
1 <= x <= 100이 매개변수는 다음 결과 ‘페이지’를 가져오는 데 사용됩니다. base36 페이지네이션 토큰입니다.
Minimum string length:
1응답
요청이 성공했습니다.
Show child attributes
Show child attributes
Minimum array length:
1IETF RFC 7807(https://tools.ietf.org/html/rfc7807)에 정의된 HTTP Problem Details 객체
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes